11 Replies Latest reply: May 8, 2012 6:45 PM by b noir
CaityS Level 1 Level 1 (0 points)

When I try to open iTunes, it says, " iTunes requires QuickTime 7.5.5 or later." I am trying everything to get this to work! It just wont open! Do I need to download a new QuickTime? If so, where?? Please help!